org.flexdock.perspective.persist

## Class PerspectiveModel

- java.lang.Object
- - org.flexdock.perspective.persist.PerspectiveModel

- All Implemented Interfaces:
    java.io.Serializable

      public class PerspectiveModel
      extends java.lang.Object
      implements java.io.Serializable

  Created on 2005-03-30
  Version:
    $Id: PerspectiveModel.java,v 1.1 2005-06-11 16:14:48 marius Exp $
  Author:
    Christopher Butler, Mateusz Szczap
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerspectiveModel(java.lang.String defaultId, java.lang.String current, Perspective[] perspectives)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCurrentPerspective()`
    `java.lang.String` | `getDefaultPerspective()`
    `Perspective[]` | `getPerspectives()`
    `void` | `setCurrentPerspective(java.lang.String currentPerspective)`
    `void` | `setDefaultPerspective(java.lang.String defaultPerspective)`
    `void` | `setPerspectives(Perspective[] perspectives)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerspectiveModel

          public PerspectiveModel(java.lang.String defaultId,
                          java.lang.String current,
                          Perspective[] perspectives)

  - ### Method Detail

    - #### getDefaultPerspective

          public java.lang.String getDefaultPerspective()

    - #### setDefaultPerspective

          public void setDefaultPerspective(java.lang.String defaultPerspective)

    - #### getPerspectives

          public Perspective[] getPerspectives()

    - #### setPerspectives

          public void setPerspectives(Perspective[] perspectives)

    - #### getCurrentPerspective

          public java.lang.String getCurrentPerspective()

    - #### setCurrentPerspective

          public void setCurrentPerspective(java.lang.String currentPerspective)